Bug 1540546 - [UPGRADE] (OS::TripleO::Services::FluentdClient) could not be found
Summary: [UPGRADE] (OS::TripleO::Services::FluentdClient) could not be found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Martin Magr
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-31 11:26 UTC by Yurii Prokulevych
Modified: 2018-08-19 02:13 UTC (History)
16 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.0-0.20180103192340.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:43:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1746493 None None None 2018-01-31 11:26:41 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:44:12 UTC

Description Yurii Prokulevych 2018-01-31 11:26:41 UTC
Description of problem:
-----------------------
Attempt to prepare upgrade playbook fails:
openstack overcloud upgrade --init-update --container-registry-file images.yml
...
u'message': u"Failed to run action [action_ex_id=d2f90517-0e7c-4efd-841b-b4f7ed991800, action_cls='<class 'mistral.actions.action_factory.UpdateStackAction'>', attributes='{}', params='{u'ceph_ansible_playbook'
: u'/usr/share/ceph-ansible/site-docker.yml.sample', u'container': u'overcloud', u'environments': {u'resource_registry': {u'OS::TripleO::Services::FluentdClient': u'OS::Heat::None'}}, u'timeout': 240, u'containe
r_registry': {u'parameter_defaults': {u'DockerNeutronApiImage': u'192.168.24.1:8787/rhosp13/openstack-neutron-server:13.0-20180126.1', u'DockerAodhListenerImage': u'192.168.24.1:8787/rhosp13/openstack-aodh-liste
ner:13.0-20180126.1', u'DockerGnocchiStatsdImage': u'192.168.24.1:8787/rhosp13/openstack-gnocchi-statsd:13.0-20180126.1', u'DockerCeilometerNotificationImage': u'192.168.24.1:8787/rhosp13/openstack-ceilometer-no
tification:13.0-20180126.1', u'DockerHAProxyConfigImage': u'192.168.24.1:8787/rhosp13/openstack-haproxy:13.0-20180126.1', u'DockerRabbitmqImage': u'192.168.24.1:8787/rhosp13/openstack-rabbitmq:13.0-20180126.1', 
u'DockerNovaConsoleauthImage': u'192.168.24.1:8787/rhosp13/openstack-nova-consoleauth:13.0-20180126.1', u'DockerAodhConfigImage': u'192.168.24.1:8787/rhosp13/openstack-aodh-api:13.0-20180126.1', u'DockerInsecure
RegistryAddress': [u'192.168.24.1:8787'], u'DockerIscsidImage': u'192.168.24.1:8787/rhosp13/openstack-iscsid:13.0-20180126.1', u'DockerGnocchiMetricdImage': u'192.168.24.1:8787/rhosp13/openstack-gnocchi-metricd:
13.0-20180126.1', u'DockerIscsidConfigImage': u'192.168.24.1:8787/rhosp13/openstack-iscsid:13.0-20180126.1', u'DockerNovaMetadataImage': u'192.168.24.1:8787/rhosp13/openstack-nova-api:13.0-20180126.1', u'DockerC
inderApiImage': u'192.168.24.1:8787/rhosp13/openstack-cinder-api:13.0-20180126.1', u'DockerNovaComputeImage': u'192.168.24.1:8787/rhosp13/openstack-nova-compute:13.0-20180126.1', u'DockerGnocchiConfigImage': u'1
92.168.24.1:8787/rhosp13/openstack-gnocchi-api:13.0-20180126.1', u'DockerCeilometerCentralImage': u'192.168.24.1:8787/rhosp13/openstack-ceilometer-central:13.0-20180126.1', u'DockerNeutronL3AgentImage': u'192.16
8.24.1:8787/rhosp13/openstack-neutron-l3-agent:13.0-20180126.1', u'DockerCeilometerComputeImage': u'192.168.24.1:8787/rhosp13/openstack-ceilometer-compute:13.0-20180126.1', u'DockerRedisImage': u'192.168.24.1:87
87/rhosp13/openstack-redis:13.0-20180126.1', u'DockerClustercheckImage': u'192.168.24.1:8787/rhosp13/openstack-mariadb:13.0-20180126.1', u'DockerHorizonImage': u'192.168.24.1:8787/rhosp13/openstack-horizon:13.0-
20180126.1', u'DockerCinderConfigImage': u'192.168.24.1:8787/rhosp13/openstack-cinder-api:13.0-20180126.1', u'DockerSwiftContainerImage': u'192.168.24.1:8787/rhosp13/openstack-swift-container:13.0-20180126.1', u
'DockerGnocchiApiImage': u'192.168.24.1:8787/rhosp13/openstack-gnocchi-api:13.0-20180126.1', u'DockerMysqlImage': u'192.168.24.1:8787/rhosp13/openstack-mariadb:13.0-20180126.1', u'DockerAodhEvaluatorImage': u'19
2.168.24.1:8787/rhosp13/openstack-aodh-evaluator:13.0-20180126.1', u'DockerPankoApiImage': u'192.168.24.1:8787/rhosp13/openstack-panko-api:13.0-20180126.1', u'DockerNovaApiImage': u'192.168.24.1:8787/rhosp13/ope
nstack-nova-api:13.0-20180126.1', u'DockerMysqlClientConfigImage': u'192.168.24.1:8787/rhosp13/openstack-mariadb:13.0-20180126.1', u'DockerNovaVncProxyImage': u'192.168.24.1:8787/rhosp13/openstack-nova-novncprox
y:13.0-20180126.1', u'DockerClustercheckConfigImage': u'192.168.24.1:8787/rhosp13/openstack-mariadb:13.0-20180126.1', u'DockerNeutronMetadataImage': u'192.168.24.1:8787/rhosp13/openstack-neutron-metadata-agent:1
3.0-20180126.1', u'DockerKeystoneImage': u'192.168.24.1:8787/rhosp13/openstack-keystone:13.0-20180126.1', u'DockerCephDaemonImage': u'192.168.24.1:8787/rhceph/rhceph-3-rhel7:latest', u'DockerNovaConductorImage':
 u'192.168.24.1:8787/rhosp13/openstack-nova-conductor:13.0-20180126.1', u'DockerNovaPlacementConfigImage': u'192.168.24.1:8787/rhosp13/openstack-nova-placement-api:13.0-20180126.1', u'DockerNovaLibvirtImage': u'
192.168.24.1:8787/rhosp13/openstack-nova-libvirt:13.0-20180126.1', u'DockerMysqlConfigImage': u'192.168.24.1:8787/rhosp13/openstack-mariadb:13.0-20180126.1', u'DockerRabbitmqConfigImage': u'192.168.24.1:8787/rho
sp13/openstack-rabbitmq:13.0-20180126.1', u'DockerKeystoneConfigImage': u'192.168.24.1:8787/rhosp13/openstack-keystone:13.0-20180126.1', u'DockerAodhApiImage': u'192.168.24.1:8787/rhosp13/openstack-aodh-api:13.0
-20180126.1', u'DockerCinderSchedulerImage': u'192.168.24.1:8787/rhosp13/openstack-cinder-scheduler:13.0-20180126.1', u'DockerMemcachedImage': u'192.168.24.1:8787/rhosp13/openstack-memcached:13.0-20180126.1', u'
DockerHeatApiCfnImage': u'192.168.24.1:8787/rhosp13/openstack-heat-api-cfn:13.0-20180126.1', u'DockerNovaConfigImage': u'192.168.24.1:8787/rhosp13/openstack-nova-api:13.0-20180126.1', u'DockerSwiftAccountImage':
 u'192.168.24.1:8787/rhosp13/openstack-swift-account:13.0-20180126.1', u'DockerGlanceApiImage': u'192.168.24.1:8787/rhosp13/openstack-glance-api:13.0-20180126.1', u'DockerGlanceApiConfigImage': u'192.168.24.1:87
87/rhosp13/openstack-glance-api:13.0-20180126.1', u'DockerNeutronConfigImage': u'192.168.24.1:8787/rhosp13/openstack-neutron-server:13.0-20180126.1', u'DockerMemcachedConfigImage': u'192.168.24.1:8787/rhosp13/op
enstack-memcached:13.0-20180126.1', u'DockerHeatApiCfnConfigImage': u'192.168.24.1:8787/rhosp13/openstack-heat-api-cfn:13.0-20180126.1', u'DockerHeatConfigImage': u'192.168.24.1:8787/rhosp13/openstack-heat-api:1
3.0-20180126.1', u'DockerAodhNotifierImage': u'192.168.24.1:8787/rhosp13/openstack-aodh-notifier:13.0-20180126.1', u'DockerSwiftProxyImage': u'192.168.24.1:8787/rhosp13/openstack-swift-proxy-server:13.0-20180126
.1', u'DockerCrondImage': u'192.168.24.1:8787/rhosp13/openstack-cron:13.0-20180126.1', u'DockerHeatApiConfigImage': u'192.168.24.1:8787/rhosp13/openstack-heat-api:13.0-20180126.1', u'DockerSwiftObjectImage': u'1
92.168.24.1:8787/rhosp13/openstack-swift-object:13.0-20180126.1', u'DockerHorizonConfigImage': u'192.168.24.1:8787/rhosp13/openstack-horizon:13.0-20180126.1', u'DockerNovaLibvirtConfigImage': u'192.168.24.1:8787
/rhosp13/openstack-nova-compute:13.0-20180126.1', u'DockerRedisConfigImage': u'192.168.24.1:8787/rhosp13/openstack-redis:13.0-20180126.1', u'DockerPankoConfigImage': u'192.168.24.1:8787/rhosp13/openstack-panko-a
pi:13.0-20180126.1', u'DockerHeatApiImage': u'192.168.24.1:8787/rhosp13/openstack-heat-api:13.0-20180126.1', u'DockerNovaSchedulerImage': u'192.168.24.1:8787/rhosp13/openstack-nova-scheduler:13.0-20180126.1', u'
DockerNovaPlacementImage': u'192.168.24.1:8787/rhosp13/openstack-nova-placement-api:13.0-20180126.1', u'DockerSwiftConfigImage': u'192.168.24.1:8787/rhosp13/openstack-swift-proxy-server:13.0-20180126.1', u'Docke
rCrondConfigImage': u'192.168.24.1:8787/rhosp13/openstack-cron:13.0-20180126.1', u'DockerCeilometerConfigImage': u'192.168.24.1:8787/rhosp13/openstack-ceilometer-central:13.0-20180126.1', u'DockerHeatEngineImage
': u'192.168.24.1:8787/rhosp13/openstack-heat-engine:13.0-20180126.1', u'DockerOpenvswitchImage': u'192.168.24.1:8787/rhosp13/openstack-neutron-openvswitch-agent:13.0-20180126.1', u'DockerNeutronDHCPImage': u'19
2.168.24.1:8787/rhosp13/openstack-neutron-dhcp-agent:13.0-20180126.1', u'DockerHAProxyImage': u'192.168.24.1:8787/rhosp13/openstack-haproxy:13.0-20180126.1', u'DockerCinderVolumeImage': u'192.168.24.1:8787/rhosp
13/openstack-cinder-volume:13.0-20180126.1'}}}']\n ERROR: resources.CephStorageServiceChain<https://192.168.24.2:13808/v1/AUTH_9cf3b65b76234773a1ce897bd47dcdcf/overcloud/common/services.yaml>: : The Resource Typ
e (OS::TripleO::Services::FluentdClient) could not be found.",
 u'status': u'FAILED'}

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
openstack-tripleo-heat-templates-8.0.0-0.20180122224016.el7ost.noarch


How reproducible:
-----------------
100%


Steps to Reproduce:
-------------------
1. Install RHOS-12 env
2. Install 2018-01-26.3 repos
3. Upgrade uc
4. Apply patches: 526213 and 526214
5. Prepare images
6. Run upgrade init:
    openstack overcloud upgrade --init-update --container-registry-file images.yml

Actual results:
---------------
Upgrade playbook is not generated

Expected results:
-----------------
upgrade init command succeeds

Comment 2 Yurii Prokulevych 2018-02-01 10:07:20 UTC
Another not found service is OS::TripleO::Services::CeilometerApi

...
ERROR: resources.ControllerServiceChain<https://192.168.24.2:13808/v1/AUTH_d1e10368da774407bddef47812473c97/overcloud/common/services.yaml>: : The Resource Type (OS::TripleO::Services::CeilometerApi) could not 
be found.: HTTPBadRequest: ERROR: resources.ControllerServiceChain<https://192.168.24.2:13808/v1/AUTH_d1e10368da774407bddef47812473c97/overcloud/common/services.yaml>: : The Resource Type (OS::TripleO::Services:
:CeilometerApi) could not be found.
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor Traceback (most recent call last):
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/mistral/executors/default_executor.py", line 110, in run_action
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor     result = action.run(action_ctx)
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/tripleo_common/actions/package_update.py", line 103, in run
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor     return heat.stacks.update(stack.id, **stack_args)
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/heatclient/v1/stacks.py", line 183, in update
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor     headers=headers)
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/heatclient/common/http.py", line 292, in put
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor     return self.client_request("PUT", url, **kwargs)
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/heatclient/common/http.py", line 279, in client_request
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor     resp, body = self.json_request(method, url, **kwargs)
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/heatclient/common/http.py", line 268, in json_request
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor     resp = self._http_request(url, method, **kwargs)
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/heatclient/common/http.py", line 240, in _http_request
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor     resp = self._http_request(location, method, **kwargs)
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/heatclient/common/http.py", line 231, in _http_request
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor     raise exc.from_response(resp)
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor HTTPBadRequest: ERROR: resources.ControllerServiceChain<https://192.168.24.2:13808/v1/AUTH_d1e10368da774407bddef47812473c97/overcloud/common
/services.yaml>: : The Resource Type (OS::TripleO::Services::CeilometerApi) could not be found.
2018-02-01 05:02:18.209 10457 ERROR mistral.executors.default_executor 
2018-02-01 05:02:18.333 10457 INFO mistral.executors.executor_server [req-72d28d4f-06b9-4a84-9109-9aef4ab71765 10ffc518639e48108dec6af904af3167 d1e10368da774407bddef47812473c97 - default default] Received RPC re
quest 'run_action'[action_ex_id=ef69919c-5ad1-4298-b061-3e5498ba0b38, action_cls_str=mistral.actions.std_actions.NoOpAction, action_cls_attrs={}, params={}]

Comment 3 Yurii Prokulevych 2018-02-01 10:14:02 UTC
And same for OS::TripleO::Services::CeilometerCollector
...
ERROR: resources.ControllerServiceChain<https://192.168.24.2:13808/v1/AUTH_d1e10368da774407bddef47812473c97/overcloud/common/services.yaml>: : The Resource Type (OS::TripleO::Services::CeilometerCollector) coul
d not be found.: HTTPBadRequest: ERROR: resources.ControllerServiceChain<https://192.168.24.2:13808/v1/AUTH_d1e10368da774407bddef47812473c97/overcloud/common/services.yaml>: : The Resource Type (OS::TripleO::Ser
vices::CeilometerCollector) could not be found.
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor Traceback (most recent call last):
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/mistral/executors/default_executor.py", line 110, in run_action
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor     result = action.run(action_ctx)
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/tripleo_common/actions/package_update.py", line 103, in run
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor     return heat.stacks.update(stack.id, **stack_args)
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/heatclient/v1/stacks.py", line 183, in update
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor     headers=headers)
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/heatclient/common/http.py", line 292, in put
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor     return self.client_request("PUT", url, **kwargs)
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/heatclient/common/http.py", line 279, in client_request
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor     resp, body = self.json_request(method, url, **kwargs)
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/heatclient/common/http.py", line 268, in json_request
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor     resp = self._http_request(url, method, **kwargs)
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/heatclient/common/http.py", line 240, in _http_request
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor     resp = self._http_request(location, method, **kwargs)
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor   File "/usr/lib/python2.7/site-packages/heatclient/common/http.py", line 231, in _http_request
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor     raise exc.from_response(resp)
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor HTTPBadRequest: ERROR: resources.ControllerServiceChain<https://192.168.24.2:13808/v1/AUTH_d1e10368da774407bddef47812473c97/overcloud/common
/services.yaml>: : The Resource Type (OS::TripleO::Services::CeilometerCollector) could not be found.
2018-02-01 05:10:43.060 10457 ERROR mistral.executors.default_executor

Comment 4 Yurii Prokulevych 2018-02-01 10:29:46 UTC
Next services are either deprecated or removed or just missing in rhos-13

OS::TripleO::Services::CeilometerApi
OS::TripleO::Services::CeilometerCollector
OS::TripleO::Services::CeilometerExpirer
OS::TripleO::Services::ManilaBackendGeneric

Comment 6 Mehdi ABAAKOUK 2018-02-01 12:52:17 UTC
These services have been removed in OSP13:

OS::TripleO::Services::CeilometerApi
OS::TripleO::Services::CeilometerCollector
OS::TripleO::Services::CeilometerExpirer

Comment 7 Pradeep Kilambi 2018-02-01 12:56:21 UTC
(In reply to Yurii Prokulevych from comment #4)
> Next services are either deprecated or removed or just missing in rhos-13
> 
> OS::TripleO::Services::CeilometerApi
> OS::TripleO::Services::CeilometerCollector
> OS::TripleO::Services::CeilometerExpirer


This is expected for ceilometer services. We removed the templates for these services in OSP13 (Including disable templates). Though for Fast forward upgrades, we're restoring the disable templates back in OSP13, see: https://review.openstack.org/#/c/535820/ So with this merged, i assume you wont see this issue.

Comment 16 Yogev Rabl 2018-05-15 12:57:49 UTC
Verified on openstack-tripleo-heat-templates-8.0.2-17.el7ost.noarch

Comment 18 errata-xmlrpc 2018-06-27 13:43:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.